View Issue Details

IDProjectCategoryView StatusLast Update
0000416SketcherBugpublic2016-01-08 16:14
ReportermrlukeparryAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0000416: Sketcher: Slow Solving Peformance when adding unconstrainted arcs to Sketch
DescriptionJust raise an issue in the solver with performance in solver:

If you add many (e.g. 10) arcs. The solver takes very longer the sketch - even without any constraints. I find it may take 0.005s to solve on my machine. This delay clearly shows when dragging any other point such as line.

I have noticed this doesn't happen when adding many lines or circle geometries to the sketch.

It should be reproducible all the time.

Its perhaps worth an investigation.
Additional InformationLatest Revision from SVN
CPU - Quad Core
Memory 3gb
TagsNo tags attached.

Activities

logari81

2012-04-13 19:40

developer   ~0001943

Did you compile FreeCAD with -O2 or with -O0?

abdullah

2016-01-08 16:14

manager   ~0006691

Maybe in connection with the Sketcher improvements of last year. This problem is fixed.

Issue History

Date Modified Username Field Change
2011-08-13 09:16 mrlukeparry New Issue
2011-08-14 17:19 Jriegel Status new => assigned
2011-08-14 17:19 Jriegel Assigned To => logari81
2011-11-03 17:29 logari81 Product Version trunk =>
2011-11-03 17:29 logari81 Summary Sketcher Module: Slow Solving Peformance when adding unconstrainted arcs to Sketch => Sketcher: Slow Solving Peformance when adding unconstrainted arcs to Sketch
2012-04-13 19:40 logari81 Note Added: 0001943
2012-05-05 17:50 yorik Project FreeCAD => Sketcher
2016-01-08 16:13 abdullah Assigned To logari81 => abdullah
2016-01-08 16:14 abdullah Note Added: 0006691
2016-01-08 16:14 abdullah Status assigned => closed
2016-01-08 16:14 abdullah Resolution open => fixed
2016-01-08 16:14 abdullah Fixed in Version => 0.16